=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	rm -rf gtest && ln -sf /usr/src/googletest gtest
	dh_auto_configure -- -DCMAKE_INSTALL_BINDIR=games #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test
	if [ $$(clinfo --raw | sed -nre 's/^#PLATFORMS\s*([0-9]+).*/\1/gp') -gt 0 ]; then \
		cd obj-$(DEB_HOST_MULTIARCH) && ./tests; \
	fi
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf gtest
