=== debian/changelog ===
leela-zero (0.16-1) unstable; urgency=medium

  * Fix the clinfo feature-check to actually run tests when supported.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 26 Nov 2018 22:22:58 -0800

leela-zero (0.15-5) unstable; urgency=medium

  * Fix the dummy-network command so it actually works.

 -- Ximin Luo <infinity0@debian.org>  Fri, 03 Aug 2018 09:31:40 -0700

leela-zero (0.15-4) unstable; urgency=medium

  * Describe how to create a dummy network file that doesn't involve using
    non-Debian software. (Closes: #903808)

 -- Ximin Luo <infinity0@debian.org>  Fri, 03 Aug 2018 08:52:37 -0700

leela-zero (0.15-3) unstable; urgency=medium

  * Add a missing Build-Depends on cmake.
  * Update README.Debian about lack of HTTPS for the weights file, which may
    be a security risk.
  * Add info about installing the right OpenCL packages, fix the tests.

 -- Ximin Luo <infinity0@debian.org>  Sat, 14 Jul 2018 11:00:56 -0700

leela-zero (0.15-2) unstable; urgency=medium

  * Add a README.Debian on how to actually use this program.
  * Add patch to read/write tuner in ~/.local/share/leela-zero and
    read weights file from ~/.cache/leela-zero. These paths are
    provisional, do not rely on them; expect potential data loss in
    future if you do. See README.Debian for more details.

 -- Ximin Luo <infinity0@debian.org>  Sat, 14 Jul 2018 09:45:06 -0700
