=== autogtp/CMakeLists.txt ===
--- 
+++ 
@@ -7,4 +7,4 @@
 set_target_properties(autogtp PROPERTIES AUTOMOC 1)
 target_link_libraries(autogtp Qt5::Core)
 
-install(TARGETS autogtp DESTINATION bin)
+install(TARGETS autogtp DESTINATION ${CMAKE_INSTALL_BINDIR})
