=== validation/CMakeLists.txt ===
--- 
+++ 
@@ -7,4 +7,4 @@
 set_target_properties(validation PROPERTIES AUTOMOC 1)
 target_link_libraries(validation Qt5::Core)
 
-install(TARGETS validation DESTINATION bin)
+install(TARGETS validation DESTINATION ${CMAKE_INSTALL_BINDIR})
