=== debian/changelog ===
leela-zero (0.17-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1113099)

 -- Adrian Bunk <bunk@debian.org>  Mon, 27 Oct 2025 18:26:23 +0200

leela-zero (0.17-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace BSD reference. (Closes: #1102358)

 -- Bastian Germann <bage@debian.org>  Wed, 20 Aug 2025 21:41:39 +0200

leela-zero (0.17-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@pdeb2>  Mon, 19 Aug 2019 03:37:29 -0700
