=== debian/control ===
--- 
+++ 
@@ -3,9 +3,12 @@
 Priority: optional
 Maintainer: Ximin Luo <infinity0@debian.org>
 Build-Depends: debhelper (>= 11),
+ cmake,
  libgtest-dev,
+ libeigen3-dev,
  libboost-dev,
  libboost-program-options-dev,
+ libboost-filesystem-dev,
  libopenblas-dev,
  opencl-headers,
  ocl-icd-libopencl1,
@@ -22,6 +25,7 @@
 Package: leela-zero
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: opencl-icd, clinfo
 Description: Go engine with no human-provided knowledge, modeled after the AlphaGo Zero paper
  A Go program with no human provided knowledge. Using MCTS (but without Monte
  Carlo playouts) and a deep residual convolutional neural network stack.
