=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%leela-zero-$1.tar.gz%" \
 https://github.com/gcp/leela-zero/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
